# \JournalsApi

All URIs are relative to *https://furaffinity-api.herokuapp.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_journal_journal_journal_id_post**](JournalsApi.md#get_journal_journal_journal_id_post) | **POST** /journal/{journal_id}/ | Get Journal
[**get_journals_user_username_journals_page_post**](JournalsApi.md#get_journals_user_username_journals_page_post) | **POST** /user/{username}/journals/{page}/ | Get Journals



## get_journal_journal_journal_id_post

> models::Journal get_journal_journal_journal_id_post(journal_id, body)
Get Journal

Get a journal

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**journal_id** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::Journal**](Journal.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)


## get_journals_user_username_journals_page_post

> models::JournalsFolder get_journals_user_username_journals_page_post(username, page, body)
Get Journals

Get a list of journals from the user's journals folder.

### Parameters


Name | Type | Description  | Required | Notes
------------- | ------------- | ------------- | ------------- | -------------
**username** | **String** |  | [required] |
**page** | **i32** |  | [required] |
**body** | [**Body**](Body.md) |  | [required] |

### Return type

[**models::JournalsFolder**](JournalsFolder.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

