# Journal

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **i32** | Journal's ID | 
**title** | **String** | Journal's title | 
**author** | [**models::UserPartial**](UserPartial.md) |  | 
**stats** | [**models::JournalStats**](JournalStats.md) |  | 
**date** | **String** | Journal's upload date | 
**header** | **String** | Journal's header | 
**footer** | **String** | Journal's footer | 
**content** | **String** | Journal's content | 
**mentions** | **Vec<String>** | Journal's mentions (users mentioned with FA links in the content) | 
**comments** | [**Vec<models::Comment>**](Comment.md) | Journal's comments | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


