# User

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | User's name (as it appears on their page) | 
**status** | **String** | User's status (~, !, etc.) | 
**title** | **String** | User's title | 
**join_date** | Option<**String**> |  | 
**profile** | **String** | User's profile text in HTML format | 
**stats** | [**models::UserStats**](UserStats.md) | User's statistics | 
**info** | **std::collections::HashMap<String, String>** | User's info (e.g. Accepting Commissions, Favorite Music, etc.) | 
**contacts** | **std::collections::HashMap<String, String>** | User's contacts (e.g. Twitter, Telegram, etc.) | 
**avatar_url** | **String** | URL to user's icon | 
**banner_url** | Option<**String**> |  | 
**watched** | **bool** | Watch status of the user | 
**watched_toggle_link** | Option<**String**> |  | 
**blocked** | **bool** | Block status of the user | 
**blocked_toggle_link** | Option<**String**> |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


